> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/flutter/setup-luciq-for-flutter/setup-in-app-replies/managing-notifications.md).

# Managing Notifications

### In-App Notifications

{% hint style="info" %}
By default, a notification will be shown on top of your app's UI when a new message is received.
{% endhint %}

#### Disabling In-App Notifications

Use the following method to disable notifications that appear in-app.

{% code title="Dart" %}

```dart
Replies.setInAppNotificationsEnabled(false);
```

{% endcode %}

#### In-App Notification Sound

When your app users receive an in-app notification through Luciq, sound is enabled by default. You can disable it with the following method.

{% code title="Dart" %}

```dart
Replies.setInAppNotificationSound(false);
```

{% endcode %}

#### Get Unread Messages Count

You can use the following method to get the number of messages the user has yet to read.

{% code title="Dar" %}

```dart
final count = Replies.getUnreadRepliesCount();
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/flutter/setup-luciq-for-flutter/setup-in-app-replies/managing-notifications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
